Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.devel
Class Debug

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.devel.Debug

public class Debug
extends Behavior

Runtime behavior that can generate various dumps.

Version:
  $Revision: 1.6 $ $Date: 2003/06/02 05:12:51 $
See Also:
  `and other classes in the devel package`

Field Summary
`static java.lang.String` | `MSG_CREATE_DEBUG` Construct Debug menu by passing around to behaviors and letting them add (or delete) entiries.
`static java.lang.String` | `MSG_SET_MODE`
`static java.lang.String` | `PREF_MODE`

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Constructor Summary
`Debug()`

Method Summary
`void` | `buildAfter(Document doc)` Traverses all behaviors from lowest to highest priority, during which tweaks hack their content into the tree,
`void` | `nodeStats(Node n)`
`boolean` | `paintAfter(Context cx, Node node)` Display memory use, free memory, ....
`boolean` | `paintBefore(Context cx, Node node)` A tree walk protocol, called before observed node has been painted.
`boolean` | `semanticEventAfter(SemanticEvent se, java.lang.String msg)` Round robin distribution to all behaviors.
`boolean` | `semanticEventBefore(SemanticEvent se, java.lang.String msg)` Round robin distribution to all behaviors.

Methods inherited from class multivalent.Behavior
`buildBefore, checkRep, clipboardAfter, clipboardBefore, createUI, destroy, eventAfter, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, putPreference, redo, restore, restoreChildren, save, setName, toString, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MSG_SET_MODE

    public static final java.lang.String MSG_SET_MODE

See Also:
  Constant Field Values

### PREF_MODE

    public static final java.lang.String PREF_MODE

See Also:
  Constant Field Values

### MSG_CREATE_DEBUG

    public static final java.lang.String MSG_CREATE_DEBUG

  Construct Debug menu by passing around to behaviors and letting them add (or delete) entiries.

  `"createWidget/Debug"`: `out=` `VMenu` instance-under-construction.

  See Also:
    Constant Field Values

Constructor Detail

### Debug

    public Debug()

Method Detail

### semanticEventBefore

    public boolean semanticEventBefore(SemanticEvent se,
                                       java.lang.String msg)

  Description copied from class: `Behavior`
  Round robin distribution to all behaviors. Message and clientData unpacked from SemanticEvent for convenience. Message is interned, so if you compare to a literal, you can use "==". Message can't be changed (it can be short-circuited out of), but client data can be mutated as it is passed along (so it's not passed as a parameter).

  Overrides:
    `semanticEventBefore` in class `Behavior`

### semanticEventAfter

    public boolean semanticEventAfter(SemanticEvent se,
                                      java.lang.String msg)

  Description copied from class: `Behavior`
  Round robin distribution to all behaviors. Message and clientData unpacked from SemanticEvent for convenience. Message is interned, so if you compare to a literal, you can use "==". Message can't be changed (it can be short-circuited out of), but client data can be mutated as it is passed along (so it's not passed as a parameter).

  Overrides:
    `semanticEventAfter` in class `Behavior`

### nodeStats

    public void nodeStats(Node n)

### buildAfter

    public void buildAfter(Document doc)

  Description copied from class: `Behavior`
  Traverses all behaviors from lowest to highest priority, during which tweaks hack their content into the tree,

  Overrides:
    `buildAfter` in class `Behavior`

### paintBefore

    public boolean paintBefore(Context cx,
                               Node node)

  Description copied from class: `Behavior`
  A tree walk protocol, called before observed node has been painted. Called in same coordinate space as node's painting. Can be used draw special background, but usual background setting is done by spans or style sheets.

  Overrides:
    `paintBefore` in class `Behavior`
  Returns:
    `true` to short-circuit to paintAfter at that node, bypassing painting of the subtree.

### paintAfter

    public boolean paintAfter(Context cx,
                              Node node)

  Display memory use, free memory, .... Only active when in debug mode.

  Overrides:
    `paintAfter` in class `Behavior`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD